File fslsp.dll causes application error

vis
Scholar

File fslsp.dll causes application error

We have PM10 in use and FSCS 9.10 at most of our computers. Today, second time in last 30 days, fslsp.dll causes many computers to crash several programs. Among them, was Novell Groupwise e-mail client, Autocad 2011, TeamViewer, Java Update and so on.

 

I manage to track crashing to FSCS update.

My computer FS log tells following:

 

24  2011-11-08  10:42:32+03:00  axlvi5271-10  AXLVI5271-10\vis  F-Secure Anti-Virus  1.3.6.1.4.1.2213.12
 The integrity of virus definition database update 2011-11-07_01 has been successfully verified.
25  2011-11-08  10:42:35+03:00  axlvi5271-10  AXLVI5271-10\vis  F-Secure Anti-Virus  1.3.6.1.4.1.2213.12
 Virus definition database(s) 02@corp.mf 02@corp.ref FS@corp.ini scanningplatform_900.ini scanningplatform_900.mf upd_fsav32.exe upd_fsgk.sys  updated successfully.

However, at 10:42:33 +03:00, nine programs crashes, notation application error in computer management logs.

 

I have updated my FSCS to 9.20. So version cannot be excuse what to blame about crashing applications.

At 9.20 there should be repaired issues that causes fslsp.dll to crash.

 

Last month, when our computers crashed, problem was GateKeeper. At least, we thought so. Same .dll was causing crashes that time.

 

Is there any way to repair this problem?

1 ACCEPTED SOLUTION

Accepted Solutions
F-Secure
F-Secure

Re: File fslsp.dll causes application error

Hello vis!

 

The problem with application crashes caused by fslsp.dll was fixed in Hotfix 3 for CS 9.10. This fix is also included in CS 9.20. Please, check the version of fslsp.dll on affected computers. Fixed version is 2.1.2450.0. If you have problems with this version, please, contact support for more detailed investigation of your issue.

 

Best Regards

6 REPLIES 6
F-Secure
F-Secure

Re: File fslsp.dll causes application error

Hello vis!

 

The problem with application crashes caused by fslsp.dll was fixed in Hotfix 3 for CS 9.10. This fix is also included in CS 9.20. Please, check the version of fslsp.dll on affected computers. Fixed version is 2.1.2450.0. If you have problems with this version, please, contact support for more detailed investigation of your issue.

 

Best Regards

vis
Scholar

Re: File fslsp.dll causes application error

You were right, upgrading from 9.10 to 9.20 helped. Problem probably was in my own workstation, which is Win7. I tried it to several computers, and after that none of them has been crasched. All of them are equipped with XP Pro.

Thanks for help.

Scholar

Re: File fslsp.dll causes application error

I just stumbled upon this thread because it describes my problem perfectly.

 

Our company is currently evaluating F-Secure and while doing so we got a problem with a client computer running Win7 64Bit and Firefox 17.0.1. Due to fslsp.dll Firefox is constantly crashing 5-10 min after start.

 

There is also crash report transmitted to mozilla which can be consulted under the following URL: Crash Report

 

The version of fslsp.dll is the latest with Client Security 9.32 (2.1.2450.0).

 

Any help would be highly appreciated.

F-Secure
F-Secure

Re: File fslsp.dll causes application error

Hello Aurril, We have just published a new CS 10.00 Release Candidate, which has completely new Web traffic Scanning technology, compatible with W8. I would recommend you to try it. www.f-secure.com/en/web/labs_global/beta-programs/business-users/client-security-1000-beta Best regards, Vad
Scholar

Re: File fslsp.dll causes application error

Thank you for your fast reply.

 

We will continue the evaluation process in the new year, so this beta is definitly an option to see if the error is fixed with the new Web traffic Scanning technology. The full Windows 8 compatibility sounds promising as well as we already have a workstation running Windows 8.

 

When will be the release date of the final version of CS 10.00 and PM 10.10?

A bit off topic: Will there also be an update for the Linux Security product, regarding full x64 support without the need of compatibility libraries?

F-Secure
F-Secure

Re: File fslsp.dll causes application error

 

Hello Aurril,

 

The problem with fslsp.dll is fixed for sure, as this RC doesn't have fslsp.dll at all. :)

As far as I know, CS 10.00 RTM is planned in the beginning of Q1.

Sorry, I don't have the information about Linux product.

 

Best regards,

Vad